Edit mode icon does not appear in legend after loading a project

2009-07-05 02:48 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Map Legend

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11820

Description

*) add a vector to your project

*) rename it using "properties -> display name" or "F2" or "right click -> rename"

*) if you toggle edit mode the icon in the legend changes

*) save the project, exit, re-open qgis and the save project

*) toggle edit mode for the above layer

*) the icon in the legend doesn't change any more, not even if you rename it to the original name. Seems also to propagate the problem to

other eventual layers added to the project.

tested qgis 1.2 rev. 11023 with Ubuntu 9.04

Associated revisions

Revision b730994f - 2009-08-17 11:52 AM - Magnus Homann

Adding connection of signals when reading legend layers from project XML file. Fixes #1760

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@11405 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision e5d72719 - 2009-08-17 11:52 AM - Magnus Homann

Adding connection of signals when reading legend layers from project XML file. Fixes #1760

git-svn-id: http://svn.osgeo.org/qgis/trunk@11405 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-08-07 12:59 AM - Giovanni Manghi

As noted in #1862 it is not necessary to rename the layers. The behavior show also after simply loading a project file.

#2 - 2009-08-17 02:52 AM - Magnus Homann

- Resolution set to fixed
http://svn.osgeo.org/qgis/trunk/qgis@11405
http://svn.osgeo.org/qgis/trunk@11405


- Status changed from Open to Closed

Fixed in commit:e5d72719 (SVN r11406).
